Package com.independentsoft.office.vml

# Class Background

java.lang.Object
com.independentsoft.office.vml.Background

All Implemented Interfaces:
  `IContentElement`, `IVmlElement`

public class Background extends Object implements IVmlElement
The Class Background.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Background()`
  Instantiates a new background.
  `Background​(InternalXMLStreamReader reader)`
  Instantiates a new background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Background`
  `clone()`
  `BlackWhiteMode`
  `getBlackWhiteMode()`
  Gets the black white mode.
  `List<IContentElement>`
  `getContentElements()`
  `Fill`
  `getFill()`
  Gets the fill.
  `String`
  `getFillColor()`
  Gets the fill color.
  `String`
  `getID()`
  Gets the id.
  `BlackWhiteMode`
  `getNormalBlackWhiteMode()`
  Gets the normal black white mode.
  `BlackWhiteMode`
  `getPureBlackWhiteMode()`
  Gets the pure black white mode.
  `ScreenSize`
  `getTargetScreenSize()`
  Gets the target screen size.
  `boolean`
  `isFilled()`
  Checks if is filled.
  `void`
  `setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)`
  Sets the black white mode.
  `void`
  `setFill​(Fill fill)`
  Sets the fill.
  `void`
  `setFillColor​(String fillColor)`
  Sets the fill color.
  `void`
  `setFilled​(boolean isFilled)`
  Sets the filled.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setNormalBlackWhiteMode​(BlackWhiteMode normalBlackWhiteMode)`
  Sets the normal black white mode.
  `void`
  `setPureBlackWhiteMode​(BlackWhiteMode pureBlackWhiteMode)`
  Sets the pure black white mode.
  `void`
  `setTargetScreenSize​(ScreenSize targetScreenSize)`
  Sets the target screen size.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Background

    public Background()
    Instantiates a new background.

  - ### Background

    public Background​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new background.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Background clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFill

    public Fill getFill()
    Gets the fill.
    Returns:
      the fill

  - ### setFill

    public void setFill​(Fill fill)
    Sets the fill.
    Parameters:
      `fill` - the new fill

  - ### getBlackWhiteMode

    public BlackWhiteMode getBlackWhiteMode()
    Gets the black white mode.
    Returns:
      the black white mode

  - ### setBlackWhiteMode

    public void setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)
    Sets the black white mode.
    Parameters:
      `blackWhiteMode` - the new black white mode

  - ### getNormalBlackWhiteMode

    public BlackWhiteMode getNormalBlackWhiteMode()
    Gets the normal black white mode.
    Returns:
      the normal black white mode

  - ### setNormalBlackWhiteMode

    public void setNormalBlackWhiteMode​(BlackWhiteMode normalBlackWhiteMode)
    Sets the normal black white mode.
    Parameters:
      `normalBlackWhiteMode` - the new normal black white mode

  - ### getPureBlackWhiteMode

    public BlackWhiteMode getPureBlackWhiteMode()
    Gets the pure black white mode.
    Returns:
      the pure black white mode

  - ### setPureBlackWhiteMode

    public void setPureBlackWhiteMode​(BlackWhiteMode pureBlackWhiteMode)
    Sets the pure black white mode.
    Parameters:
      `pureBlackWhiteMode` - the new pure black white mode

  - ### getFillColor

    public String getFillColor()
    Gets the fill color.
    Returns:
      the fill color

  - ### setFillColor

    public void setFillColor​(String fillColor)
    Sets the fill color.
    Parameters:
      `fillColor` - the new fill color

  - ### isFilled

    public boolean isFilled()
    Checks if is filled.
    Returns:
      true, if is filled

  - ### setFilled

    public void setFilled​(boolean isFilled)
    Sets the filled.
    Parameters:
      `isFilled` - the new filled

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getTargetScreenSize

    public ScreenSize getTargetScreenSize()
    Gets the target screen size.
    Returns:
      the target screen size

  - ### setTargetScreenSize

    public void setTargetScreenSize​(ScreenSize targetScreenSize)
    Sets the target screen size.
    Parameters:
      `targetScreenSize` - the new target screen size